Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class RECompiler

    java.lang.Object
      |
      +--org.apache.regexp.RECompiler

Direct Known Subclasses:
  REDebugCompiler

public class RECompiler
extends Object

A regular expression compiler class. This class compiles a pattern string into a regular expression program interpretable by the RE evaluator class. The 'recompile' command line tool uses this compiler to pre-compile regular expressions for use with RE. For a description of the syntax accepted by RECompiler and what you can do with regular expressions, see the documentation for the RE matcher class.

Version:
  $Id: RECompiler.java,v 1.2 2000/05/14 21:04:17 jon Exp $
Author:
  Jonathan Locke
See Also:
  `RE`, `recompile`

Constructor Summary
`RECompiler()` Constructor.

Method Summary
`REProgram` | `compile(String pattern)` Compiles a regular expression pattern into a program runnable by the pattern matcher class 'RE'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RECompiler

    public RECompiler()

  Constructor. Creates (initially empty) storage for a regular expression program.

Method Detail

### compile

    public REProgram compile(String pattern)
                      throws RESyntaxException

  Compiles a regular expression pattern into a program runnable by the pattern matcher class 'RE'.
  Parameters:
    `pattern` - Regular expression pattern to compile (see RECompiler class for details).
  Returns:
    A compiled regular expression program.
  Throws:
    `RESyntaxException` - Thrown if the regular expression has invalid syntax.
  See Also:
    `RECompiler`, `RE`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD